// The Pulse sensor ISR interrupt routine - runs each time the falling edge of a pulse is detected
void onPulse()                  
{                                                // No debounce code, unreliable in an interrupt-driven counter. Max6816; sorted!
 pulsetime = millis();  
 pulseCount++;
 if (pulsetime < lastTime) lastTime = 0;         // What if pulsetime is less than lastTime? millis() rolled over, so assume lastTime is zero.
 pulseGap = pulsetime - lastTime;                //
 if (pulseGap > pulsegaplimit)
  {
  pulseGap = pulsegaplimit;                      // If previous pulse was more than 2 hours ago, just assume it was 2 hours. This is longer
  }                                              // than required, but gives plenty of scope for a user to set her own lower limit in emoncms.
  lastTime = millis();                           // time of the previous pulse.
                                                 // Doing FP calcs in an ISR is bad, coz it can take too long, so maybe just send the pulsegap?  Yeah!!
}                                                // This will be divided by 1000 before it is sent on to emoncms as seconds.

